de.caff.vic

## Interface PaintableVisitor

- All Known Implementing Classes:
    AbstractDescendingPaintableVisitor, RecoloringVisitor

      public interface PaintableVisitor

  Visitor for paintables.
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(PaintableClipShape shape)` Visit a clip shape.
    `void` | `visit(PaintableComposite composite)` Visit a paintable composite.
    `void` | `visit(PaintableGroup group)` Visit a paintable group.
    `void` | `visit(PaintableImage image)` Visit a paintable image.
    `void` | `visit(PaintableRestoreTransform restoreTrafo)` Visit a paintable restore transformation.
    `void` | `visit(PaintableShape shape)` Visit a paintable shape.
    `void` | `visit(PaintableStoreTransform storeTrafo)` Visit a paintable store transformation.
    `void` | `visit(PaintableTransform transform)` Visit a paintable transform.

- - ### Method Detail

    - #### visit

          void visit(@NotNull
                     PaintableShape shape)

      Visit a paintable shape.
      Parameters:
        `shape` - paintable shape

    - #### visit

          void visit(@NotNull
                     PaintableImage image)

      Visit a paintable image.
      Parameters:
        `image` - paintable image

    - #### visit

          void visit(@NotNull
                     PaintableClipShape shape)

      Visit a clip shape.
      Parameters:
        `shape` - clip shape

    - #### visit

          void visit(@NotNull
                     PaintableComposite composite)

      Visit a paintable composite.
      Parameters:
        `composite` - composite

    - #### visit

          void visit(@NotNull
                     PaintableTransform transform)

      Visit a paintable transform.
      Parameters:
        `transform` - transform

    - #### visit

          void visit(@NotNull
                     PaintableStoreTransform storeTrafo)

      Visit a paintable store transformation.
      Parameters:
        `storeTrafo` - store transformation

    - #### visit

          void visit(@NotNull
                     PaintableRestoreTransform restoreTrafo)

      Visit a paintable restore transformation.
      Parameters:
        `restoreTrafo` - restore transformation

    - #### visit

          void visit(@NotNull
                     PaintableGroup group)

      Visit a paintable group.
      Parameters:
        `group` - paintable group